<html>
  <head>
    <title>Functions 1</title>
    <script>
      function execute() {
        const getLast = number => {
          const numbers = {
            0: 'zero',
            1: 'one',
            2: 'two',
            3: 'three',
            4: 'four',
            5: 'five',
            6: 'six',
            7: 'seven',
            8: 'eight',
            9: 'nine'
          } || '';
          return numbers[number[number.length - 1]];
        };
        
        const output = getLast(num.value);
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>Number: <input id="num" /></p>
    <button onclick="execute()">Execute</button>
    <p id="result"></p>
  </body>
</html>
